rio_enum_mport
Prev | Enumeration and Discovery | Next

## Name

rio_enum_mport — Start enumeration through a master port

## Synopsis

`int rio_enum_mport (` | struct rio_mport * | mport`)`;

## Arguments

`mport`

  Master port to send transactions

## Description

Starts the enumeration process. If somebody has enumerated our master port device, then give up. If not and we have an active link, then start recursive peer enumeration. Returns `0` if enumeration succeeds or `-EBUSY` if enumeration fails.

Prev | Up | Next
rio_update_route_tables | Home | rio_build_route_tables